#include<bits/stdc++.h>
using namespace std;
bool proveri(char a[],int n)
{
    for(int i=0;i<n-1;i++)
        if(a[i]>a[i+1])
            return false;
    return true;
}
bool proveraBez(char a[],int n,int x)
{
    for(int i=0;i<n-1;i++)
        if(i!=x)
            if(a[i]>a[i+1])
                return false;
    return true;
}
char nadjiUljeza(char a[],int n)
{
    for(int i=0;i<n-1;i++)
        if(a[i]>=a[i+1])
            return i;
}
int main(){
    int n;
    cin>>n;
    char a[n];
    int uljez;
    for(int i=0;i<n;i++)
        cin>>a[i];
    if(n<=26) cout<<0;
    else if(n==27){
        uljez=nadjiUljeza(a,n);
        if(proveraBez(a,n,uljez)) cout<<1;
        else cout<<0;
    }
}